%define product    PloneExFile
%define version    3.11
%define release    2

%define zope_minver    2.7
%define plone_minver    2.0

%define zope_home    %{_prefix}/lib/zope
%define software_home    %{zope_home}/lib/python

Summary:    ExFile - A Plone content type with an attachment
Name:       zope-%{product}
Version:    %{version}
Release:    %mkrel %{release}
License:    GPL
Group:      System/Servers
Source:     http://plone.org/products/ploneexfile/releases/%{version}/PloneExFile-%{version}.tar.bz2
URL:        http://ingeniweb.sourceforge.net/Products/PloneExFile/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:  noarch
Requires:   zope >= %{zope_minver}
Requires:   zope-AttachmentField
Requires:   plone >= %{plone_minver}

Provides:   plone-PloneExFile == %{version}
Obsoletes:  plone-PloneExFile

%description
ExFile - A Plone content type with an attachment

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
    service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
    service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*



%changelog
* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 08:01:20 (53768)
- Fix rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 11:01:16 (42781)
Import zope-PloneExFile

* Fri Dec 02 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.11-1mdk
- New release 3.11

* Sun Oct 23 2005 Gaetan Lehmann <glehmann@deborah.mandriva.com> 3.10-1mdk
- new release 3.10
- fix source URL

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.04-3mdk
- fix path on x86_64

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.04-2mdk
- use mkrel
- rename plone-PloneExFile to zope-PloneExFile

* Tue Jan 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.04-1mdk
- initial contrib

